Script: *write-in-emojis.ps1*
========================

This PowerShell script replaces certain words in the given text by Emojis and writes it to the console.

Parameters
----------
```powershell
PS> ./write-in-emojis.ps1 [[-text] <String>] [<CommonParameters>]

-text <String>
    Specifies the text
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./write-in-emojis.ps1 "I love my folder"
I💘️my📂

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
        Writes text in Emojis
.DESCRIPTION
        This PowerShell script replaces certain words in the given text by Emojis and writes it to the console.
.PARAMETER text
        Specifies the text
.EXAMPLE
        PS> ./write-in-emojis.ps1 "I love my folder"
        I💘️my📂
.LINK
        https://github.com/fleschutz/PowerShell
.NOTES
        Author: Markus Fleschutz | License: CC0
#>

param([string]$text = "")

try {
	if ($text -eq "")  { $text = Read-Host "Enter the text" }
	
	$table = Import-CSV "$PSScriptRoot/../data/emojis.csv"
	foreach($row in $table) {
		$text = $text -Replace "\s?$($row.WORD)\s?","$($row.EMOJI)️"
	}
	Write-Output $text
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of write-in-emojis.ps1 as of 08/15/2024 09:50:55)*
